(* ------------------------------------------------------ *)
(*                      EPSDEMO.PAS                       *)
(*           Demonstrationsprogramm zur EPS-Unit          *)
(* ------------------------------------------------------ *)
PROGRAM EpsDemo;
USES EPS;
VAR
  kurve : PolygonZug;
  i     : INTEGER;
BEGIN
  GrafikEin(180.0,110.0,'a:\epsdemo.eps');
                                     { Grafik initalisieren}
  FOR i:=0 TO 4 DO BEGIN     { fnf Linientypen mit unter- }
                             { schiedlicher Dicke zeichnen }
    LinienTyp(i);
    LinienDicke(0.1+0.1*i);
    Linie(5.0,10.0+i*5.0,50.0,10.0+i*5.0);
  END;
  Zeichensatz('Bookman-Light',10.0);
                { Zeichensatz in der Gre 10 pt auswhlen }
  GehZu(5.0,35.0);
                  { Zeichenstift bewegen, ohne zu zeichnen }
  Schreiben('Linientypen');                { Text ausgeben }

  LinienTyp(0);
  LinienDicke(2.5);
  FOR i:=0 TO 2 DO BEGIN        { Linienenden ausprobieren }
    LinienEnde(i);
    Linie(70.0,10.0+i*5.0,110.0,10.0+i*5);
  END;
  Zeichensatz('Helvetica',26.0);       { neuer Zeichensatz }
  GehZu(70.0,25.0);
  Schreiben('Linienenden');         { wieder Text ausgeben }
  Zeichensatz('ZapfDingbats',60.0);    { neuer Zeichensatz }
  GehZu(50.0,35.0);
  Schreiben('+');                    { die 'Hand' zeichnen }
  LinienDicke(0.15);                    { neue Liniendicke }
  FOR i:=1 TO 400 DO    { Punkte des Polygonzugs bestimmen }
  BEGIN
    kurve[1,i]:=0.25*i;                    { x-Koordinaten }
    kurve[2,i]:=70.0+10.0*cos(0.38*i)+10.0*cos(0.35*i);
                                           { y-Koordinaten }
  END;
  LinienZug(kurve,400,offen);        { Polygonzug zeichnen }
  FOR i:=1 TO 14 DO BEGIN   { ein geschlossener Polygonzug }
    kurve[1,i]:=130.0+2.0*i;
    kurve[2,i]:=40.0+2*i*cos(i);
  END;
  LinienZug(kurve,14,geschlossen);
  ZeichenSatz('AvantGarde-Book',12.0);
                            { und noch einige Zeichenstze }
  SchreibenXY(130.0,15.0,'Polygonzug');
  ZeichenSatz('ZapfChancery-MediumItalic',18.0);
  SchreibenXY(10.0,100.0,
  'Dies ist ZapfChancery-MediumItalic');
  LinienDicke(0.2);
  LinienTyp(3);
  Rechteck(125.0,10.0,175.0,90.0);
                                   { ein Rechteck zeichnen }
  GrafikAus;                                   { Das war's }
END.
(* ------------------------------------------------------ *)
(*                 Ende von EPSDEMO.PAS                   *)
